API Docs / Schemas / UpdateBillingProfileRequest

UpdateBillingProfileRequest

The billing address to put on the caller's invoices (PUT /me/billing/profile). A full replacement of
the address; the mandate is untouched.

Properties

Name Type Description
billingEmailstring

The address invoice notifications go to; blank for the account's email address

The address invoice notifications go to; blank for the account's email address

companyNamestring

The company name invoices are made out to; blank for the user's name

The company name invoices are made out to; blank for the user's name

addressLine1string

Billing address, first line

Billing address, first line

addressLine2string

Billing address, second line

Billing address, second line

addressLine3string

Billing address, third line

Billing address, third line

addressLine4string

Billing address, fourth line

Billing address, fourth line

postcodestring

Billing address postcode

Billing address postcode

countrystring

Billing address country

Billing address country

JSON Example

{
  "billingEmail": "user@example.com",
  "companyName": "string",
  "addressLine1": "string",
  "addressLine2": "string",
  "addressLine3": "string"
}

Used By Operations